import * as React from 'react'
import * as T from '@tesseract-design/react-common'
import styled from 'styled-components'

const Base = styled('div')({
	display: 'flex',
	alignItems: 'center',
	height: '4rem',
})

const Content = styled('div')({
	lineHeight: 1.5,
	flex: 'auto',
})

const Title = styled('strong')({
	display: 'block',
	whiteSpace: 'nowrap',
})

const Subtitle = styled('small')({
	display: 'block',
	whiteSpace: 'nowrap',
})

const IconContainer = styled('div')({
	marginRight: '1rem',
})

type Props = {
	title: string,
	subtitle?: string,
}

const NoteLinkContent: React.FC<Props> = ({
	title,
	subtitle,
}) => {
	return (
		<Base>
			<IconContainer>
				<T.Icon
					name="file-text"
				/>
			</IconContainer>
			<Content>
				<Title>
					{title}
				</Title>
				{
					typeof (subtitle as string)
					&& (
						<Subtitle>
							{subtitle}
						</Subtitle>
					)
				}
			</Content>
		</Base>
	)
}

export default NoteLinkContent
