import * as React from 'react'
import styled from 'styled-components'
import {LeftSidebarWithMenu} from '@tesseract-design/viewfinder'
import Editor from '../../../molecules/Editor'

const TitleContainer = styled(LeftSidebarWithMenu.ContentContainer)({
	display: 'block',
})

// @ts-ignore
const TitleInput = styled('input')({
	color: 'inherit',
	font: 'inherit',
	fontSize: '3rem',
	padding: 0,
	border: 0,
	backgroundColor: 'transparent',
	fontFamily: 'var(--font-family-headings), sans-serif',
	fontStretch: 'var(--font-stretch-headings, normal)',
	fontWeight: 'var(--font-weight-headings, 400)',
	height: '4rem',
	outline: 0,
	width: '100%',
	display: 'block',
	marginBottom: '1rem',
})

const NoteForm = ({
	defaultValues = {
		title: '',
		content: {},
	},
	onSubmit = null,
}) => {
	return (
		<form
			onSubmit={onSubmit}
		>
			<TitleContainer
				as="label"
			>
				<TitleInput
					placeholder="Title"
					defaultValue={defaultValues.title}
				/>
			</TitleContainer>
			<LeftSidebarWithMenu.ContentContainer>
				<Editor
					defaultValue={defaultValues.content}
				/>
			</LeftSidebarWithMenu.ContentContainer>
		</form>
	)
}

export default NoteForm
