import * as React from 'react'
import {LeftSidebarWithMenu} from '@tesseract-design/viewfinder'
import Link from '../../molecules/Link'
import {Subpage} from '../../../utils/query'

type Props = {
	subpage: Subpage,
}

const BinView: React.FC<Props> = ({
	subpage
}) => {
	return (
		<LeftSidebarWithMenu.Layout
			brand={"Brand"}
			sidebarMenuItems={[
				{
					id: 'notes',
					url: {
						pathname: '/my/notes',
					},
					label: 'Notes',
					icon: 'N',
				},
				{
					id: 'bin',
					url: {
						pathname: '/my/bin'
					},
					icon: 'B',
					label: 'Bin',
					secondary: true,
				},
			]}
			sidebarMainOpen={subpage === Subpage.SIDEBAR}
			moreItemsOpen={subpage === Subpage.MORE}
			sidebarMain={
				<LeftSidebarWithMenu.SidebarMainContainer>
					Sidebar
				</LeftSidebarWithMenu.SidebarMainContainer>
			}
			moreLinkMenuItem={{
				label: 'More',
				icon: 'M',
				url: {
					query: {
						subpage: 'more',
					}
				}
			}}
			moreLinkComponent={({ url, icon, label, }) => (
				<Link
					href={url}
				>
					<LeftSidebarWithMenu.MoreSidebarMenuContainer>
						<LeftSidebarWithMenu.MoreSidebarMenuItemIcon>
							{icon}
						</LeftSidebarWithMenu.MoreSidebarMenuItemIcon>
						{label}
					</LeftSidebarWithMenu.MoreSidebarMenuContainer>
				</Link>
			)}
			linkComponent={({ url, icon, label, }) => (
				<Link
					href={url}
				>
					<LeftSidebarWithMenu.SidebarMenuContainer>
						<LeftSidebarWithMenu.SidebarMenuItemIcon>
							{icon}
						</LeftSidebarWithMenu.SidebarMenuItemIcon>
						{label}
					</LeftSidebarWithMenu.SidebarMenuContainer>
				</Link>
			)}
		>
			<LeftSidebarWithMenu.ContentContainer>
				Hello
			</LeftSidebarWithMenu.ContentContainer>
		</LeftSidebarWithMenu.Layout>
	)
}

export default BinView
