import {GetServerSideProps, NextPage} from 'next'
import BinView from '../../../components/templates/BinView'
import {QueryFragment, Subpage} from '../../../utils/query'

type Props = {
	subpage: Subpage,
}

const Page: NextPage<Props> = ({
	subpage,
}) => {
	return (
		<BinView
			subpage={subpage}
		/>
	);
};

export default Page

export const getServerSideProps: GetServerSideProps = async (ctx) => {
	const { [QueryFragment.SUBPAGE]: subpage = '' } = ctx.query
	return {
		props: {
			subpage,
		},
	}
}
